using System;

namespace InABox.Core
{
    public class PopupEditor : DataLookupEditor
    {
        public PopupEditor(Type type, params string[] otherfields) : base(type, otherfields)
        {
        }

        public bool CanAdd { get; set; } = false;

        protected override BaseEditor DoClone()
        {
            var result =  (PopupEditor)CloneDataLookupEditor();
            result.CanAdd = CanAdd;
            return result;
        }
    }
}